*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  font-family: 'Tiko', sans-serif;
}

.container {
  width: 980px;
  margin: 0 auto;
  border: 2px solid rgba(0, 0, 0, 0.261);
}

.add-post {
  min-height: 150px;
  border-bottom: none;
  text-align: center;
  padding-top: 50px;
  position: relative;
}

.add-post__modal {
  display: none;
  position: absolute;
  min-height: 450px;
  width: 500px;
  padding: 40px;
  background-color: rgba(100, 98, 98, 0.608);
  top: 260%;
  left: 50%;
  z-index: 2;
  border-radius: 20px;
  margin-right: -50%;
  transform: translate(-50%, -50%);
  justify-content: space-between;
  flex-direction: column;
  animation: showmodal 1s  ease-in-out;
}

@keyframes showmodal {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

.show {
  display: flex;
}

.add-post__modal input {
  min-height: 30px;
  font-size: 30px;
  padding: 0 15px 0 15px;
}

.add-post__modal textarea {
  min-height: 100px;
  font-size: 20px;
  margin-bottom: 20px;
  padding: 10px;
}

.modal__title {
  color: white;
  font-size: 30px;
}

.modal__desc {
  color: white;
  text-transform: uppercase;
  font-weight: normal;
}

.tweet-btn {
  padding: 12px 30px;
  background-color: #1E9BF0;
  color: white;
  font-weight: bold;
  font-size: 20px;
  border-radius: 30%;
  cursor: pointer;
  transition: transform 0.4s ease-in-out;
}

.tweet-btn:active {
  transform: scale(0.8);
}

.posts {
  max-height: 80vh;
  overflow: scroll;
}

.post {
  padding: 20px 40px;
  border-bottom: 1px solid rgba(0, 0, 0, 0.261);
  min-height: 260px;
}

.post__header {
  display: flex;
  justify-content: space-between;
}

.buttons {
  display: flex;
  flex-direction: column;
}

.buttons button {
  background-color: #FFF;
  padding: 5px;
  cursor: pointer;
  transition: transform 0.4s;
}

.buttons button:active {
  transform: scale(0.8);
}

.btn-close {
  border: none;
  margin-bottom: 10px;
  font-size: 30px;
}

.btn-close:hover {
  color: red;
}

.btn-change {
  border-radius: 10px;
  min-width: 65px;
  min-height: 40px;
}

.change {
  display: flex;
  flex-direction: column;
}

.post__title-input {
  display: block;
  margin: 20px 0 20px;
  padding: 0 20px 0 20px;
  font-size: 25px;
  text-align: center;
  text-transform: uppercase;
  font-weight: bold;
}

.post__text-input {
  display: block;
  padding: 0 10px 0 10px;
  min-height: 56px;
  font-style: italic;
  font-size: 18px;
}

.post__title {
  text-align: center;
  text-transform: uppercase;
  font-weight: bold;
  font-size: 25px;
  padding: 20px 0 20px;
}

.post__text {
  padding: 10px 40px;
  font-style: italic;
}

.sk-circle {
  margin: 36px auto;
  width: 40px;
  height: 40px;
  position: relative;
}

.sk-circle .sk-child {
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
}

.sk-circle .sk-child::before {
  content: '';
  display: block;
  margin: 0 auto;
  width: 15%;
  height: 15%;
  background-color: #333;
  border-radius: 100%;
  -webkit-animation: sk-circlebouncedelay 1.2s infinite ease-in-out both;
  animation: sk-circleBounceDelay 1.2s infinite ease-in-out both;
}

.sk-circle .sk-circle2 {
  -webkit-transform: rotate(30deg);
  -ms-transform: rotate(30deg);
  transform: rotate(30deg);
}

.sk-circle .sk-circle3 {
  -webkit-transform: rotate(60deg);
  -ms-transform: rotate(60deg);
  transform: rotate(60deg);
}

.sk-circle .sk-circle4 {
  -webkit-transform: rotate(90deg);
  -ms-transform: rotate(90deg);
  transform: rotate(90deg);
}

.sk-circle .sk-circle5 {
  -webkit-transform: rotate(120deg);
  -ms-transform: rotate(120deg);
  transform: rotate(120deg);
}

.sk-circle .sk-circle6 {
  -webkit-transform: rotate(150deg);
  -ms-transform: rotate(150deg);
  transform: rotate(150deg);
}

.sk-circle .sk-circle7 {
  -webkit-transform: rotate(180deg);
  -ms-transform: rotate(180deg);
  transform: rotate(180deg);
}

.sk-circle .sk-circle8 {
  -webkit-transform: rotate(210deg);
  -ms-transform: rotate(210deg);
  transform: rotate(210deg);
}

.sk-circle .sk-circle9 {
  -webkit-transform: rotate(240deg);
  -ms-transform: rotate(240deg);
  transform: rotate(240deg);
}

.sk-circle .sk-circle10 {
  -webkit-transform: rotate(270deg);
  -ms-transform: rotate(270deg);
  transform: rotate(270deg);
}

.sk-circle .sk-circle11 {
  -webkit-transform: rotate(300deg);
  -ms-transform: rotate(300deg);
  transform: rotate(300deg);
}

.sk-circle .sk-circle12 {
  -webkit-transform: rotate(330deg);
  -ms-transform: rotate(330deg);
  transform: rotate(330deg);
}

.sk-circle .sk-circle2::before {
  -webkit-animation-delay: -1.1s;
  animation-delay: -1.1s;
}

.sk-circle .sk-circle3::before {
  -webkit-animation-delay: -1s;
  animation-delay: -1s;
}

.sk-circle .sk-circle4::before {
  -webkit-animation-delay: -0.9s;
  animation-delay: -0.9s;
}

.sk-circle .sk-circle5::before {
  -webkit-animation-delay: -0.8s;
  animation-delay: -0.8s;
}

.sk-circle .sk-circle6::before {
  -webkit-animation-delay: -0.7s;
  animation-delay: -0.7s;
}

.sk-circle .sk-circle7::before {
  -webkit-animation-delay: -0.6s;
  animation-delay: -0.6s;
}

.sk-circle .sk-circle8::before {
  -webkit-animation-delay: -0.5s;
  animation-delay: -0.5s;
}

.sk-circle .sk-circle9::before {
  -webkit-animation-delay: -0.4s;
  animation-delay: -0.4s;
}

.sk-circle .sk-circle10::before {
  -webkit-animation-delay: -0.3s;
  animation-delay: -0.3s;
}

.sk-circle .sk-circle11::before {
  -webkit-animation-delay: -0.2s;
  animation-delay: -0.2s;
}

.sk-circle .sk-circle12::before {
  -webkit-animation-delay: -0.1s;
  animation-delay: -0.1s;
}

@-webkit-keyframes sk-circleBounceDelay {
  0%,
  80%,
  100% {
    -webkit-transform: scale(0);
    transform: scale(0);
  }

  40% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}

@keyframes sk-circleBounceDelay {
  0%,
  80%,
  100% {
    -webkit-transform: scale(0);
    transform: scale(0);
  }

  40% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}
